<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Multi_Insure
 */

if ( ! is_front_page() || is_home() ) {
	?>
		</div>
	</div>
</div>
	<?php
}

$top_footer_text = get_theme_mod( 'multi_insure_top_footer_text', '' );
$contact_number  = get_theme_mod( 'multi_insure_top_footer_contact_number', '' );
?>

<!-- start of footer -->
<footer class="site-footer">
	<div class="multi-insure-wrapper">
		<?php if ( ! empty( $top_footer_text || $contact_number ) ) : ?>
			<div class="multi-insure-top-footer">
				<h2><?php echo esc_html( $top_footer_text ); ?></h2>
				<h3><a href="tel:<?php echo esc_attr( $contact_number ); ?>"><?php echo esc_html( $contact_number ); ?></a></h3>
			</div>
			<?php
		endif;

		if ( is_active_sidebar( 'footer-widget' ) || is_active_sidebar( 'footer-widget-2' ) || is_active_sidebar( 'footer-widget-3' ) || is_active_sidebar( 'footer-widget-4' ) ) :
			?>
		<div class="multi-insure-middle-footer">
			<div class="middle-footer-wrapper">
				<?php for ( $i = 1; $i <= 4; $i++ ) { ?>
					<div class="footer-container-wrapper">
						<div class="footer-content-inside">
							<?php dynamic_sidebar( 'footer-widget-' . $i ); ?>
						</div>
					</div>
				<?php } ?>
			</div>	
		</div>
			<?php
		endif;
		?>
		<div class="multi-insure-bottom-footer">
			<div class="bottom-footer-content">
				<?php
				/**
				 * Hook: multi_insure_footer_copyright.
				 *
				 * @hooked - multi_insure_output_footer_copyright_content - 10
				 */
				do_action( 'multi_insure_footer_copyright' );
				?>
			</div>
		</div>
	</div>
</footer>
<!-- end of brand footer -->

<?php
$is_scroll_top_active = get_theme_mod( 'multi_insure_scroll_top', true );
if ( $is_scroll_top_active ) :
	?>
	<a href="#" id="scroll-to-top" class="multi-insure-scroll-to-top"></a>
	<?php
endif;
?>

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
