<?php

/**
 * Active Callbacks
 *
 * @package Multi_Insure
 */

// Theme Options.
function multi_insure_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_pagination' )->value() );
}
function multi_insure_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_breadcrumb' )->value() );
}

// Topbar Area
function multi_insure_is_topbar_enabled( $control ) {
	return ( $control->manager->get_Setting( 'multi_insure_enable_topbar' )->value() );
}

// Banner Slider Section.
function multi_insure_is_banner_slider_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_banner_section' )->value() );
}
function multi_insure_is_banner_slider_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_banner_slider_content_type' )->value();
	return ( multi_insure_is_banner_slider_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function multi_insure_is_banner_slider_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_banner_slider_content_type' )->value();
	return ( multi_insure_is_banner_slider_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// About section.
function multi_insure_is_about_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_about_section' )->value() );
}
function multi_insure_is_about_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_about_content_type' )->value();
	return ( multi_insure_is_about_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function multi_insure_is_about_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_about_content_type' )->value();
	return ( multi_insure_is_about_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Insurers section.
function multi_insure_is_insurers_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_insurers_section' )->value() );
}

// Service section.
function multi_insure_is_service_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_service_section' )->value() );
}
function multi_insure_is_service_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_service_content_type' )->value();
	return ( multi_insure_is_service_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function multi_insure_is_service_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_service_content_type' )->value();
	return ( multi_insure_is_service_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Team section.
function multi_insure_is_team_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_team_section' )->value() );
}
function multi_insure_is_team_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_team_content_type' )->value();
	return ( multi_insure_is_team_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function multi_insure_is_team_section_and_content_type_page_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_team_content_type' )->value();
	return ( multi_insure_is_team_section_enabled( $control ) && ( 'page' === $content_type ) );
}

// Latest News Section.
function multi_insure_is_latest_news_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_latest_news_section' )->value() );
}
function multi_insure_is_latest_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_latest_news_content_type' )->value();
	return ( multi_insure_is_latest_news_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function multi_insure_is_latest_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'multi_insure_latest_news_content_type' )->value();
	return ( multi_insure_is_latest_news_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Counter section.
function multi_insure_is_counter_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'multi_insure_enable_counter_section' )->value() );
}
