<?php
/**
 * Breadcrumb
 *
 * @package Multi_Insure
 */

$wp_customize->add_section(
	'multi_insure_breadcrumb',
	array(
		'title' => esc_html__( 'Breadcrumb', 'multi-insure' ),
		'panel' => 'multi_insure_theme_options',
	)
);

// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'multi_insure_enable_breadcrumb',
	array(
		'sanitize_callback' => 'multi_insure_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Multi_Insure_Toggle_Switch_Custom_Control(
		$wp_customize,
		'multi_insure_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'multi-insure' ),
			'section' => 'multi_insure_breadcrumb',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'multi_insure_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'multi_insure_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'multi-insure' ),
		'active_callback' => 'multi_insure_is_breadcrumb_enabled',
		'section'         => 'multi_insure_breadcrumb',
	)
);
