<?php
/**
 * Footer Options
 *
 * @package Multi_Insure
 */

$wp_customize->add_section(
	'multi_insure_footer_options',
	array(
		'panel' => 'multi_insure_theme_options',
		'title' => esc_html__( 'Footer Options', 'multi-insure' ),
	)
);

// Footer Section - Top Footer Text.
$wp_customize->add_setting(
	'multi_insure_top_footer_text',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'multi_insure_top_footer_text',
	array(
		'label'    => esc_html__( 'Top Footer Text', 'multi-insure' ),
		'section'  => 'multi_insure_footer_options',
		'settings' => 'multi_insure_top_footer_text',
		'type'     => 'text',
	)
);

// Footer Section - Top Footer Text.
$wp_customize->add_setting(
	'multi_insure_top_footer_contact_number',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'multi_insure_top_footer_contact_number',
	array(
		'label'    => esc_html__( 'Contact Number', 'multi-insure' ),
		'section'  => 'multi_insure_footer_options',
		'settings' => 'multi_insure_top_footer_contact_number',
		'type'     => 'text',
	)
);

// Footer Options - Copyright Text.
/* translators: 1: Year, 2: Site Title with home URL. */
$copyright_default = sprintf( esc_html_x( 'Copyright &copy; %1$s %2$s', '1: Year, 2: Site Title with home URL', 'multi-insure' ), '[the-year]', '[site-link]' );
$wp_customize->add_setting(
	'multi_insure_footer_copyright_text',
	array(
		'default'           => $copyright_default,
		'sanitize_callback' => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	'multi_insure_footer_copyright_text',
	array(
		'label'    => esc_html__( 'Copyright Text', 'multi-insure' ),
		'section'  => 'multi_insure_footer_options',
		'settings' => 'multi_insure_footer_copyright_text',
		'type'     => 'textarea',
	)
);

// Footer Options - Scroll Top.
$wp_customize->add_setting(
	'multi_insure_scroll_top',
	array(
		'sanitize_callback' => 'multi_insure_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Multi_Insure_Toggle_Switch_Custom_Control(
		$wp_customize,
		'multi_insure_scroll_top',
		array(
			'label'   => esc_html__( 'Enable Scroll Top Button', 'multi-insure' ),
			'section' => 'multi_insure_footer_options',
		)
	)
);
