<?php
/**
 * Header Options
 *
 * @package Multi_Insure
 */

$wp_customize->add_section(
	'multi_insure_header_options',
	array(
		'panel' => 'multi_insure_theme_options',
		'title' => esc_html__( 'Header Options', 'multi-insure' ),
	)
);

// Header Options - Enable Topbar.
$wp_customize->add_setting(
	'multi_insure_enable_topbar',
	array(
		'sanitize_callback' => 'multi_insure_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Multi_Insure_Toggle_Switch_Custom_Control(
		$wp_customize,
		'multi_insure_enable_topbar',
		array(
			'label'   => esc_html__( 'Enable Topbar', 'multi-insure' ),
			'section' => 'multi_insure_header_options',
		)
	)
);

// Topbar Options - Notic Text.
$wp_customize->add_setting(
	'multi_insure_topbar_notice_text',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'multi_insure_topbar_notice_text',
	array(
		'label'           => esc_html__( 'Topbar Notice Text', 'multi-insure' ),
		'section'         => 'multi_insure_header_options',
		'settings'        => 'multi_insure_topbar_notice_text',
		'type'            => 'text',
		'active_callback' => 'multi_insure_is_topbar_enabled',
	)
);

// Topbar Options - Horizontal Line.
$wp_customize->add_setting(
	'multi_insure_counter_horizontal_line',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new Multi_Insure_Customize_Horizontal_Line(
		$wp_customize,
		'multi_insure_counter_horizontal_line',
		array(
			'section'         => 'multi_insure_header_options',
			'settings'        => 'multi_insure_counter_horizontal_line',
			'active_callback' => 'multi_insure_is_topbar_enabled',
			'type'            => 'hr',
		)
	)
);

// Header Options - Email Address.
$wp_customize->add_setting(
	'multi_insure_email_address',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'multi_insure_email_address',
	array(
		'label'   => esc_html__( 'Email Address', 'multi-insure' ),
		'section' => 'multi_insure_header_options',
		'type'    => 'text',
	)
);

// Header Options - Contact Number.
$wp_customize->add_setting(
	'multi_insure_contact_number',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'multi_insure_contact_number',
	array(
		'label'   => esc_html__( 'Contact Number', 'multi-insure' ),
		'section' => 'multi_insure_header_options',
		'type'    => 'text',
	)
);

// Header Options - Office Opening Time.
$wp_customize->add_setting(
	'multi_insure_opening_time',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'multi_insure_opening_time',
	array(
		'label'   => esc_html__( 'Office Opening Time', 'multi-insure' ),
		'section' => 'multi_insure_header_options',
		'type'    => 'text',
	)
);

// Header Options - Office Closing Time.
$wp_customize->add_setting(
	'multi_insure_closing_time',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'multi_insure_closing_time',
	array(
		'label'   => esc_html__( 'Office Closing Time', 'multi-insure' ),
		'section' => 'multi_insure_header_options',
		'type'    => 'text',
	)
);
