<?php
/**
 * Typography
 *
 * @package Multi_Insure
 */

$wp_customize->add_section(
	'multi_insure_typography',
	array(
		'panel' => 'multi_insure_theme_options',
		'title' => esc_html__( 'Typography', 'multi-insure' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'multi_insure_site_title_font',
	array(
		'default'           => 'Playfair Display',
		'sanitize_callback' => 'multi_insure_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'multi_insure_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'multi-insure' ),
		'section'  => 'multi_insure_typography',
		'settings' => 'multi_insure_site_title_font',
		'type'     => 'select',
		'choices'  => multi_insure_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'multi_insure_site_description_font',
	array(
		'default'           => 'Montserrat',
		'sanitize_callback' => 'multi_insure_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'multi_insure_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'multi-insure' ),
		'section'  => 'multi_insure_typography',
		'settings' => 'multi_insure_site_description_font',
		'type'     => 'select',
		'choices'  => multi_insure_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'multi_insure_header_font',
	array(
		'default'           => 'Playfair Display',
		'sanitize_callback' => 'multi_insure_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'multi_insure_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'multi-insure' ),
		'section'  => 'multi_insure_typography',
		'settings' => 'multi_insure_header_font',
		'type'     => 'select',
		'choices'  => multi_insure_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'multi_insure_body_font',
	array(
		'default'           => 'Montserrat',
		'sanitize_callback' => 'multi_insure_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'multi_insure_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'multi-insure' ),
		'section'  => 'multi_insure_typography',
		'settings' => 'multi_insure_body_font',
		'type'     => 'select',
		'choices'  => multi_insure_get_all_google_font_families(),
	)
);
