<?php

/**
 * Dynamic CSS
 */
function multi_insure_dynamic_css() {

	$site_title_font       = get_theme_mod( 'multi_insure_site_title_font', 'Playfair Display' );
	$site_description_font = get_theme_mod( 'multi_insure_site_description_font', 'Montserrat' );
	$header_font           = get_theme_mod( 'multi_insure_header_font', 'Playfair Display' );
	$body_font             = get_theme_mod( 'multi_insure_body_font', 'Montserrat' );

	$custom_css = '
	/* Typograhpy */
	:root {
		--font-heading: "' . esc_attr( $header_font ) . '", serif;
		--font-main: -apple-system, BlinkMacSystemFont,"' . esc_attr( $body_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
	}

	body,
	button, input, select, optgroup, textarea {
		font-family: "' . esc_attr( $body_font ) . '", serif;
	}

	.site-title a {
		font-family: "' . esc_attr( $site_title_font ) . '", serif;
	}

	.site-description {
		font-family: "' . esc_attr( $site_description_font ) . '", serif;
	}
	';

	wp_add_inline_style( 'multi-insure-style', $custom_css );

}

add_action( 'wp_enqueue_scripts', 'multi_insure_dynamic_css', 99 );
