<?php
if ( ! get_theme_mod( 'multi_insure_enable_banner_section', false ) ) {
	return;
}

$multi_insure_slider_content_ids  = array();
$multi_insure_slider_content_type = get_theme_mod( 'multi_insure_banner_slider_content_type', 'post' );

for ( $multi_insure_i = 1; $multi_insure_i <= 3; $multi_insure_i++ ) {
	$multi_insure_slider_content_ids[] = get_theme_mod( 'multi_insure_banner_slider_content_' . $multi_insure_slider_content_type . '_' . $multi_insure_i );
}
$multi_insure_args = array(
	'post_type'           => $multi_insure_slider_content_type,
	'post__in'            => array_filter( $multi_insure_slider_content_ids ),
	'orderby'             => 'post__in',
	'posts_per_page'      => absint( 3 ),
	'ignore_sticky_posts' => true,
);

$multi_insure_args = apply_filters( 'multi_insure_banner_section_args', $multi_insure_args );

multi_insure_render_banner_section( $multi_insure_args );

/**
 * Render Banner Section.
 */
function multi_insure_render_banner_section( $multi_insure_args ) {
	?>

	<section id="multi_insure_banner_section" class="multi-insure-main-banner-section">
		<?php
		if ( is_customize_preview() ) :
			multi_insure_section_link( 'multi_insure_banner_section' );
		endif;
		?>
		<div class="main-banner-content-wrapper">
			<?php
			$multi_insure_query = new WP_Query( $multi_insure_args );
			if ( $multi_insure_query->have_posts() ) {
				$multi_insure_slider_autoplay = get_theme_mod( 'multi_insure_enable_banner_slider_autoplay', false ) ? 'true' : 'false';
				?>
				<div class="banner-slider" data-slick='{"autoplay": <?php echo esc_attr( $multi_insure_slider_autoplay ); ?> }'>
					<?php
					$multi_insure_i = 1;
					while ( $multi_insure_query->have_posts() ) :
						$multi_insure_query->the_post();
						$multi_insure_slider_subtitle   = get_theme_mod( 'multi_insure_banner_subtitle_' . $multi_insure_i, '' );
						$multi_insure_posts_button      = get_theme_mod( 'multi_insure_banner_button_label', __( 'Learn More', 'multi-insure' ) );
						$multi_insure_slider_button     = get_theme_mod( 'multi_insure_banner_button_label_' . $multi_insure_i, __( 'Contact Us', 'multi-insure' ) );
						$multi_insure_slider_button_url = get_theme_mod( 'multi_insure_banner_button_link_' . $multi_insure_i );
						$multi_insure_slider_button_url = ! empty( $multi_insure_slider_button_url ) ? $multi_insure_slider_button_url : '#';
						?>
						<div class="main-banner-image">
							<div class="main-banner-slider-image">
								<?php the_post_thumbnail( 'full' ); ?>
								<div class="main-banner-texts">
									<div class="multi-insure-wrapper">
										<div class="main-banner-texts-container">
											<div class="main-heading">
												<?php if ( ! empty( $multi_insure_slider_subtitle ) ) : ?>
													<h5><?php echo esc_html( $multi_insure_slider_subtitle ); ?></h5>
												<?php endif; ?>
												<h1><?php the_title(); ?></h1>
											</div>
											<div class="main-banner-buttons">
												<?php if ( ! empty( $multi_insure_posts_button ) ) : ?>
													<a href="<?php the_permalink(); ?>" class="multi-insure-button"><?php echo esc_html( $multi_insure_posts_button ); ?></a>
												<?php endif; ?>
												<?php if ( ! empty( $multi_insure_slider_button ) ) : ?>
													<a href="<?php echo esc_url( $multi_insure_slider_button_url ); ?>" class="multi-insure-button multi-insure-button-alternate"><?php echo esc_html( $multi_insure_slider_button ); ?></a>
												<?php endif; ?>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<?php
						$multi_insure_i++;
					endwhile;
					wp_reset_postdata();
					?>
				</div>
			<?php } ?>
		</div>				
	</section>
	<?php
}
