<?php
if ( ! get_theme_mod( 'multi_insure_enable_counter_section', false ) ) {
	return;
}

$multi_insure_section_content                     = array();
$multi_insure_section_content['background_image'] = get_theme_mod( 'multi_insure_counter_background_image' );

$multi_insure_section_content = apply_filters( 'multi_insure_counter_section_content', $multi_insure_section_content );

multi_insure_render_counter_section( $multi_insure_section_content );

/**
 * Render Counter Section
 */
function multi_insure_render_counter_section( $multi_insure_section_content ) {
	?>

	<section id="multi_insure_counter_section" class="multi-insure-counter insure-image-background" style="background-color: '#0b2033'">
		<?php
		if ( is_customize_preview() ) :
			multi_insure_section_link( 'multi_insure_counter_section' );
		endif;
		?>
		<div class="multi-insure-counter-image">
			<?php if ( ! empty( $multi_insure_section_content['background_image'] ) ) : ?>
				<img src="<?php echo esc_url( $multi_insure_section_content['background_image'] ); ?>" alt="<?php esc_attr_e( 'Counter Section', 'multi-insure' ); ?>">
			<?php endif; ?>
		</div>
		<div class="multi-insure-wrapper">
			<div class="multi-insure-coutner-wrapper">
				<?php
				for ( $multi_insure_i = 1; $multi_insure_i <= 4; $multi_insure_i++ ) {
					$multi_insure_icon         = get_theme_mod( 'multi_insure_counter_icon_' . $multi_insure_i );
					$multi_insure_label        = get_theme_mod( 'multi_insure_counter_label_' . $multi_insure_i );
					$multi_insure_value        = get_theme_mod( 'multi_insure_counter_value_' . $multi_insure_i );
					$multi_insure_value_suffix = get_theme_mod( 'multi_insure_counter_value_suffix_' . $multi_insure_i );
					?>
					<div class="multi-insure-counter-contaier" data-aos-delay="<?php echo esc_attr( $multi_insure_i * 300 ); ?>" data-aos="fade-up" data-aos-duration="1200">
						<?php if ( ! empty( $multi_insure_icon ) ) { ?>
							<div class="counter-img">
								<img src="<?php echo esc_url( $multi_insure_icon ); ?>" alt="<?php echo esc_attr( $multi_insure_label ); ?>">
							</div>
							<?php
						}
						if ( ! empty( $multi_insure_value ) ) {
							?>
							<span class="counter" data-count="<?php echo esc_attr( $multi_insure_value ); ?>"><?php echo absint( 0 ); ?></span> <span class="suffix"><?php echo esc_html( $multi_insure_value_suffix ); ?></span>
							<?php
						}
						if ( ! empty( $multi_insure_label ) ) {
							?>
							<div class="counter-discription">
								<p><?php echo esc_html( $multi_insure_label ); ?></p>
							</div>
						<?php } ?>
					</div>
					<?php
				}
				?>
			</div>
		</div>
	</section>

	<?php
}
