<?php
if ( ! get_theme_mod( 'multi_insure_enable_insurers_section', false ) ) {
	return;
}

$multi_insure_section_content = array();

$multi_insure_section_content = apply_filters( 'multi_insure_insurers_section_content', $multi_insure_section_content );

multi_insure_render_insurers_section( $multi_insure_section_content );

/**
 * Render Insurers Section
 */
function multi_insure_render_insurers_section( $multi_insure_section_content ) {
	$multi_insure_insurers_subtitle = get_theme_mod( 'multi_insure_insurers_subtitle', '' );
	$multi_insure_insurers_title    = get_theme_mod( 'multi_insure_insurers_title', '' );
	$multi_insure_insurers_image    = get_theme_mod( 'multi_insure_insurers_image', '' );
	?>

	<section id="multi_insure_insurers_section" class="multi-insure-insurers multi-insure-section">
		<?php
		if ( is_customize_preview() ) :
			multi_insure_section_link( 'multi_insure_insurers_section' );
		endif;
		?>
		<div class="multi-insure-wrapper">
			<div class="multi-insure-insurers-container">
				<div class="multi-insure-insurers-left-container">
					<?php if ( ! empty( $multi_insure_insurers_subtitle || $multi_insure_insurers_title ) ) { ?>
					<div class="title-heading ">
						<p><?php echo esc_html( $multi_insure_insurers_subtitle ); ?></p>
						<h2><?php echo esc_html( $multi_insure_insurers_title ); ?></h4>
					</div>
						<?php
					}
					for ( $multi_insure_i = 1; $multi_insure_i <= 4; $multi_insure_i++ ) {
						$multi_insure_label = get_theme_mod( 'multi_insure_insurers_label_' . $multi_insure_i );
						$multi_insure_value = get_theme_mod( 'multi_insure_insurers_value_' . $multi_insure_i );
						?>
					<div class="progress-bar-wrapper">
						<div class="progress-bar-text-wrapper">
							<?php if ( ! empty( $multi_insure_label ) ) { ?>
								<h4><?php echo esc_html( $multi_insure_label ); ?></h4>
							<?php } ?>
							<?php if ( ! empty( $multi_insure_value ) ) { ?>
								<span><?php echo esc_html( $multi_insure_value ); ?>%</span>
							<?php } ?>
						</div>
						<?php if ( ! empty( $multi_insure_value ) ) { ?>
							<div class="wrapper">
								<div class="progress-bar">
									<div class="progress-bar-fill" role="progressbar" aria-valuenow="<?php echo esc_attr( $multi_insure_value ); ?>" aria-valuemin="0" aria-valuemax="100" style="max-width: <?php echo esc_attr( $multi_insure_value ); ?>%">
									</div>
								</div>
							</div>
						<?php } ?>
					</div>
					<?php } ?>
				</div>
				<?php if ( ! empty( $multi_insure_insurers_image ) ) { ?>
				<div class="multi-insure-insurers-right-container">
					<div class="insurers-multi-insure-image-container">
						<img src="<?php echo esc_url( $multi_insure_insurers_image ); ?>" alt="<?php echo esc_attr( 'insurers-background-image' ); ?>">
					</div>
				</div>
				<?php } ?>
			</div>
		</div>
	</section>

	<?php
}
