<?php
if ( ! get_theme_mod( 'multi_insure_enable_team_section', false ) ) {
	return;
}

$multi_insure_team_content_ids  = array();
$multi_insure_team_content_type = get_theme_mod( 'multi_insure_team_content_type', 'post' );

for ( $multi_insure_i = 1; $multi_insure_i <= 4; $multi_insure_i++ ) {
	$multi_insure_team_content_ids[] = get_theme_mod( 'multi_insure_team_content_' . $multi_insure_team_content_type . '_' . $multi_insure_i );
}
$multi_insure_args = array(
	'post_type'           => $multi_insure_team_content_type,
	'post__in'            => array_filter( $multi_insure_team_content_ids ),
	'orderby'             => 'post__in',
	'posts_per_page'      => absint( 4 ),
	'ignore_sticky_posts' => true,
);
$multi_insure_args = apply_filters( 'multi_insure_team_section_args', $multi_insure_args );

multi_insure_render_team_section( $multi_insure_args );

/**
 * Render Team Section.
 */
function multi_insure_render_team_section( $multi_insure_args ) {

	$multi_insure_section_subtitle = get_theme_mod( 'multi_insure_team_section_subtitle', '' );
	$multi_insure_section_title    = get_theme_mod( 'multi_insure_team_section_title', __( 'Meet Our volunteers', 'multi-insure' ) );
	?>

	<section id="multi_insure_team_section" class="multi-insure-our-team multi-insure-section our-team-style-3">
		<?php
		if ( is_customize_preview() ) :
			multi_insure_section_link( 'multi_insure_team_section' );
		endif;
		?>
		<div class="multi-insure-wrapper">
			<div class="multi-insure-our-team-header">
				<?php if ( $multi_insure_section_subtitle || $multi_insure_section_title ) : ?>
					<div class="title-heading">
						<p><?php echo esc_html( $multi_insure_section_subtitle ); ?></p>
						<h2><?php echo esc_html( $multi_insure_section_title ); ?></h2>
					</div>
				<?php endif; ?>
			</div>
			<?php
			$multi_insure_query = new WP_Query( $multi_insure_args );
			if ( $multi_insure_query->have_posts() ) {
				?>
				<div class="our-team-3 slick-button team-button-style-3" data-slick='{"autoplay": false }'>
					<?php
					$multi_insure_i = 1;
					while ( $multi_insure_query->have_posts() ) :
						$multi_insure_query->the_post();
						$multi_insure_designation      = get_theme_mod( 'multi_insure_team_designation_' . $multi_insure_i, '' );
						$multi_insure_social_links_str = get_theme_mod( 'multi_insure_team_social_links_' . $multi_insure_i );
						if ( ! empty( $multi_insure_social_links_str ) ) {
							$multi_insure_social_links[ get_the_ID() ] = explode( ',', $multi_insure_social_links_str );
						}
						?>
						<div class="multi-insure-our-team-cards-wrapper">
							<div class="multi-insure-our-team-card">
								<div class="our-team-image">
									<?php the_post_thumbnail( 'post-thumbnail' ); ?>
									<?php if ( ! empty( $multi_insure_social_links[ get_the_ID() ] ) ) { ?>
										<div class="our-team-socialicon">
											<?php foreach ( $multi_insure_social_links[ get_the_ID() ] as $multi_insure_link ) { ?>
												<a href="<?php echo esc_url( $multi_insure_link ); ?>"></a>
											<?php } ?>
										</div>
									<?php } ?>
								</div>
							</div>
							<div class="our-team-designation-wrapper">
								<div class="our-team-designation">
									<h4><?php the_title(); ?></h4>
									<?php if ( ! empty( $multi_insure_designation ) ) : ?>
										<p><?php echo esc_html( $multi_insure_designation ); ?></p>
									<?php endif; ?>
								</div>
							</div>
						</div>
						<?php
						$multi_insure_i++;
					endwhile;
					wp_reset_postdata();
					?>
				</div>
			<?php } ?>
		</div>
	</section>
	<?php
}
